v1.0.0
OpenAPI 3.1.0

Get ESP-suppressed emails by domain

US region

Client Libraries

Get ESP-suppressed emails by domain

Find addresses suppressed by the Email Service Provider (ESP) for a particular reason on a specific sending domain.

You can get up to 1000 addresses per request. Use the start parameter with the next value from the previous response to paginate through results.

Path Parameters
  • domain_name
    Type: string
    required

    The sending domain you want to look up suppressions for.

  • suppression_type
    Type: string enum
    required

    The reason a person's email address was suppressed by the email service provider (ESP).

    values
    • blocks
    • bounces
    • spam_reports
    • invalid_emails
Query Parameters
  • limit
    Type: integer
    max:  
    1000

    The maximum number of results you want to retrieve per page.

  • start
    Type: string

    The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results.

  • email
    Type: string

    Filter results to a specific email address. When provided, returns at most one result and cursor-based pagination does not apply.

Responses
  • application/json
  • application/json
Request Example for get/v1/esp/domains/{domain_name}/suppression/{suppression_type}
curl https://api.customer.io/v1/esp/domains/mail.example.com/suppression/blocks \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "category": "bounces",
  "next": "string",
  "suppressions": [
    {
      "created": 1650895738,
      "email": "bounced.person@example.com",
      "reason": "Uploaded manually via api.customer.io",
      "status": "550"
    }
  ]
}